Package org.apache.commons.beanutils.converters

# Class ByteConverter

java.lang.Object
org.apache.commons.beanutils.converters.AbstractConverter
org.apache.commons.beanutils.converters.NumberConverter
org.apache.commons.beanutils.converters.ByteConverter

All Implemented Interfaces:
  `Converter`

public final class ByteConverter extends NumberConverter
`NumberConverter` implementation that handles conversion to and from java.lang.Byte objects.

This implementation can be configured to handle conversion either by using Byte's default String conversion, or by using a Locale's pattern or by specifying a format pattern. See the `NumberConverter` documentation for further details.

Can be configured to either return a default value or throw a `ConversionException` if a conversion error occurs.

Since:
  1.3

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ByteConverter()`
  Construct a java.lang.Byte Converter that throws a `ConversionException` if an error occurs.
  `ByteConverter(Object defaultValue)`
  Construct a java.lang.Byte Converter that returns a default value if an error occurs.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Class<Byte>`
  `getDefaultType()`
  Return the default type this `Converter` handles.

  ### Methods inherited from class org.apache.commons.beanutils.converters.NumberConverter

  `convertToString, convertToType, getLocale, getPattern, isAllowDecimals, setLocale, setPattern, setUseLocaleFormat, toString`

  ### Methods inherited from class org.apache.commons.beanutils.converters.AbstractConverter

  `conversionException, convert, convertArray, getDefault, handleError, handleMissing, isUseDefault, setDefaultValue`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ByteConverter

    public ByteConverter()
    Construct a java.lang.Byte Converter that throws a `ConversionException` if an error occurs.

  - ### ByteConverter

    public ByteConverter(Object defaultValue)
    Construct a java.lang.Byte Converter that returns a default value if an error occurs.
    Parameters:
      `defaultValue` - The default value to be returned if the value to be converted is missing or an error occurs converting the value.

- ## Method Details

  - ### getDefaultType

    protected Class<Byte> getDefaultType()
    Return the default type this `Converter` handles.
    Specified by:
      `getDefaultType` in class `AbstractConverter`
    Returns:
      The default type this `Converter` handles.
    Since:
      1.8.0